<?php

namespace App\Http\Controllers;

use App\Models\Role;
use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    public function index () {
        $roles = Role::all();
        $users = User::all();
        return view('admin.pages.user.user',compact('roles','users'));
    }

    public function addUser (Request $request ) {

        if($request->input('id') > 0) {
           $post = User::findOrFail($request->input('id'));
           $post->name = $request->name ;
           $post->email = $request->email ;
           if( $post->password != $request->password){
            $post->password =   bcrypt($request->password )    ;
           }
           $post->role_id = $request->role_id;
           $post->save();
           return redirect()->route('admin.utilisateur')->with('success' , "user modifié avec succés");

        } else {


          User::create([
                 'name'=>$request->input('name'),
                 'email'=>$request->input('email'),
                 'password'=>  bcrypt($request->input('password')),
                 'role_id'=>$request->input('role_id'),

             ]);


        }

        return redirect()->back()->with('success' , "user ajouter avec succés");

    }
    public function show ($id) {
        $user = User::find($id);
        $users = User::all();
        $roles = Role::all();
        return view('admin.pages.user.user-edite',compact('user','users','roles'));
     }
    public function delete ($id) {
       $user = User::find($id);
       $user->delete();
       return redirect()->back()->with('success' , "Utilisateur supprimer avec succés");;
    }
}
