@include('front/partials/head')

<body data-spy="scroll" data-target=".site-navbar-target" data-offset="300">


    <div id="overlayer"></div>
    <div class="loader">
        <div class="spinner-border text-primary" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>


    <div class="site-wrap">

        <div class="site-mobile-menu site-navbar-target">
            <div class="site-mobile-menu-header">
                <div class="site-mobile-menu-close mt-3">
                    <span class="icon-close2 js-menu-toggle"></span>
                </div>
            </div>
            <div class="site-mobile-menu-body"></div>
        </div>


        @include('front/partials/header')



        <div class="site-blocks-cover overlay"
            style="background: url({{ asset('front/assets/images/banner/banniere_01.jpg') }}) fixed no-repeat;  background-size: 100% 100% ; background-position: center;  "
            data-aos="fade" id="home-section">

            <div class="container">
                <div class="row align-items-center justify-content-center">
                    <div class="col-md-8 mt-lg-5 text-center">
                        <h1 class="text-uppercase" data-aos="fade-up">Bienvenue</h1>
                        <p class="mb-5 desc" data-aos="fade-up" data-aos-delay="100" style="color: white ;font-size:20px;font-style:normal">
                            SET GROUP est une entreprise togolaise dans le domaine du traitement des pathologies bâtiments, la réalisation décorative des
                             parements murals intérieurs et extérieur ainsi que la conception des meubles
                              et d'objets d'arts.</p>
                        <div data-aos="fade-up" data-aos-delay="100">
                            <a href="#portfolio-section" class="btn smoothscroll btn-primary mr-2 mb-2">Portfolio</a>
                        </div>
                    </div>
                </div>
            </div>

            <a href="#about-section" class="mouse smoothscroll">
                <span class="mouse-icon">
                    <span class="mouse-wheel"></span>
                </span>
            </a>
        </div>


        <div class="site-section cta-big-image" id="about-section">
            <div class="container">
                <div class="row mb-5">
                    <div class="col-12 text-center" data-aos="fade">
                        <h2 class="section-title mb-3">À propos de nous</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6 mb-5" data-aos="fade-up" data-aos-delay="">
                        <figure>
                            <img src="{{ asset('front/assets/images/services/service.jpg') }}" alt="Image" class="img-fluid" style="height: 500px; width:100%;">
                        </figure>
                    </div>
                    <div class="col-lg-5 ml-auto" data-aos="fade-up" data-aos-delay="100">
                        <div class="mb-4">
                            <h3 class="h3 mb-4 text-black">Pour le traitement des pathologies de vos bâtiments, faites nous confiance pour résoudre ces problèmes.</h3>
                            <p>
                                L'usage de nos produits écologiques de très grande qualité vous permettent de palier à ces problèmes tels que:
                            </p>

                        </div>

                        <div class="mb-4">
                            <ul class="list-unstyled ul-check success">
                                <li>Tuiles infectés</li>
                                <li>Fissurations des murs</li>
                                <li>Ecoulements des dalles</li>
                                <li>Humidités des locaux</li>

                            </ul>

                        </div>

                    </div>
                </div>
            </div>
        </div>

        <section class="site-section">
            <div class="container">

                <div class="row mb-5 justify-content-center">
                    <div class="col-md-7 text-center">
                        <h2 class="section-title mb-3" data-aos="fade-up" data-aos-delay="">Nos Produits</h2>
                        <p class="lead text-black" data-aos="fade-up" data-aos-delay="100">
                            Nos produits sont de très grandes qualitès écologique et fort pouvoir de resistance à la chaleur.
                        </p>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6 mb-5" data-aos="fade-up" data-aos-delay="">

                        <div class="owl-carousel slide-one-item-alt">
                            <img src="{{ asset('front/assets/images/services/service_new_01.jpg') }}" alt="Image" class="img-fluid">
                            <img src="{{ asset('front/assets/images/services/service_new_02.jpg') }}" alt="Image" class="img-fluid">
                            {{-- <img src="{{ asset('front/assets/images/slide_3.jpg') }}" alt="Image" class="img-fluid">
                            <img src="{{ asset('front/assets/images/slide_4.jpg') }}" alt="Image" class="img-fluid"> --}}
                        </div>
                        <div class="custom-direction">
                            <a href="#" class="custom-prev"><span><span
                                        class="icon-keyboard_backspace"></span></span></a><a href="#"
                                class="custom-next"><span><span class="icon-keyboard_backspace"></span></span></a>
                        </div>

                    </div>
                    <div class="col-lg-5 ml-auto" data-aos="fade-up" data-aos-delay="100">

                        <div class="owl-carousel slide-one-item-alt-text">
                            <div>
                                <h2 class="section-title mb-3">
                                    EZIK98
                                </h2>
                                <p class="lead text-black">
                                    Cet produit est fort pouvoir <strong>d'imperméabilité contre l'eau et les graises</strong>.
                                    Il s'applique sur les <strong>tuiles, les mures en terre cuites</strong>.
                                </p>

                                <p class="text-black">
                                    Il laisse respirer le matériau traité et permet l'inertie des colories,
                                    donc,ce produit est <strong>filmogéne.</strong>

                                </p>

                                <p><a href="#" class="btn btn-primary mr-2 mb-2">Learn More</a></p>
                            </div>
                            <div>
                                <h2 class="section-title mb-3">Rols</h2>
                                <p class="lead text-black">Cet produit est une colle sans solvant de composition <strong>
                                    Polyméres époxyde</strong>
                                    de fort pouvoir d'adhérence sur des surfaces séches.
                                </p>
                                <p class="text-black">Spéciale colle de réparation des fissures bâtiments et des écoulements des dalles avec un durcissement très rapide.</p>

                                <p><a href="#" class="btn btn-primary mr-2 mb-2">Learn More</a></p>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </section>

        <section class="site-section" id="portfolio-section">


            <div class="container">

                <div class="row mb-3">
                    <div class="col-12 text-center" data-aos="fade">
                        <h2 class="section-title mb-3">Portfolio</h2>
                    </div>
                </div>



                <div id="posts" class="row no-gutter">
                    @foreach ($products as $product)
                        <div class="item web col-sm-6 col-md-4 col-lg-4 col-xl-3 mb-4">
                            <a href="" class="item-wrap fancybox"
                                >
                                <span class="icon-search2"></span>
                                <img class="img-fluid"  src="{{ asset('/photos/produits/'.$product->image) }}" style="height: 200px;width:500px">
                                <p style="text-align: center">{{ $product->description }}</p>
                            </a>
                        </div>
                    @endforeach
                </div>
            </div>
    </div>

    </section>
    {{-- <section class="site-section border-bottom bg-light" id="services-section">
        <div class="container">
            <div class="row mb-5">
                <div class="col-12 text-center" data-aos="fade">
                    <h2 class="section-title mb-3">Nos Services</h2>
                </div>
            </div>
            <div class="row align-items-stretch">
                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-startup"></span></div>
                        <div>
                            <h3>Business Consulting</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-graphic-design"></span>
                        </div>
                        <div>
                            <h3>Market Analysis</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up" data-aos-delay="200">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-settings"></span></div>
                        <div>
                            <h3>User Monitoring</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>


                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up" data-aos-delay="">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-idea"></span></div>
                        <div>
                            <h3>Insurance Consulting</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-smartphone"></span></div>
                        <div>
                            <h3>Financial Investment</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-4 mb-4 mb-lg-4" data-aos="fade-up" data-aos-delay="200">
                    <div class="unit-4">
                        <div class="unit-4-icon mr-4"><span class="text-primary flaticon-head"></span></div>
                        <div>
                            <h3>Financial Management</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis quis molestiae
                                vitae eligendi at.</p>
                            <p><a href="#">Learn More</a></p>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section> --}}

    {{-- <section class="site-section testimonial-wrap" id="testimonials-section" data-aos="fade">
            <div class="container">
                <div class="row mb-5">
                    <div class="col-12 text-center">
                        <h2 class="section-title mb-3">Testimonials</h2>
                    </div>
                </div>
            </div>
            <div class="slide-one-item home-slider owl-carousel">
                <div>
                    <div class="testimonial">

                        <blockquote class="mb-5">
                            <p>&ldquo;Lorem ipsum dolor sit amet consectetur adipisicing elit. Consectetur unde
                                reprehenderit aperiam quaerat fugiat repudiandae explicabo animi minima fuga beatae
                                illum eligendi incidunt consequatur. Amet dolores excepturi earum unde iusto.&rdquo;</p>
                        </blockquote>

                        <figure class="mb-4 d-flex align-items-center justify-content-center">
                            <div><img src="images/person_3.jpg" alt="Image" class="w-50 img-fluid mb-3"></div>
                            <p>John Smith</p>
                        </figure>
                    </div>
                </div>
                <div>
                    <div class="testimonial">

                        <blockquote class="mb-5">
                            <p>&ldquo;Lorem ipsum dolor sit amet consectetur adipisicing elit. Consectetur unde
                                reprehenderit aperiam quaerat fugiat repudiandae explicabo animi minima fuga beatae
                                illum eligendi incidunt consequatur. Amet dolores excepturi earum unde iusto.&rdquo;</p>
                        </blockquote>
                        <figure class="mb-4 d-flex align-items-center justify-content-center">
                            <div><img src="images/person_2.jpg" alt="Image" class="w-50 img-fluid mb-3"></div>
                            <p>Christine Aguilar</p>
                        </figure>

                    </div>
                </div>

                <div>
                    <div class="testimonial">

                        <blockquote class="mb-5">
                            <p>&ldquo;Lorem ipsum dolor sit amet consectetur adipisicing elit. Consectetur unde
                                reprehenderit aperiam quaerat fugiat repudiandae explicabo animi minima fuga beatae
                                illum eligendi incidunt consequatur. Amet dolores excepturi earum unde iusto.&rdquo;</p>
                        </blockquote>
                        <figure class="mb-4 d-flex align-items-center justify-content-center">
                            <div><img src="images/person_4.jpg" alt="Image" class="w-50 img-fluid mb-3"></div>
                            <p>Robert Spears</p>
                        </figure>


                    </div>
                </div>

                <div>
                    <div class="testimonial">

                        <blockquote class="mb-5">
                            <p>&ldquo;Lorem ipsum dolor sit amet consectetur adipisicing elit. Consectetur unde
                                reprehenderit aperiam quaerat fugiat repudiandae explicabo animi minima fuga beatae
                                illum eligendi incidunt consequatur. Amet dolores excepturi earum unde iusto.&rdquo;</p>
                        </blockquote>
                        <figure class="mb-4 d-flex align-items-center justify-content-center">
                            <div><img src="images/person_4.jpg" alt="Image" class="w-50 img-fluid mb-3"></div>
                            <p>Bruce Rogers</p>
                        </figure>

                    </div>
                </div>

            </div>
        </section> --}}

    {{-- <section class="site-section bg-light" id="pricing-section">
            <div class="container">
                <div class="row mb-5">
                    <div class="col-12 text-center" data-aos="fade-up">
                        <h2 class="section-title mb-3">Pricing</h2>
                    </div>
                </div>
                <div class="row mb-5">
                    <div class="col-md-6 mb-4 mb-lg-0 col-lg-4" data-aos="fade-up" data-aos-delay="">
                        <div class="pricing">
                            <h3 class="text-center text-black">Basic</h3>
                            <div class="price text-center mb-4 ">
                                <span><span>$47</span> / year</span>
                            </div>
                            <ul class="list-unstyled ul-check success mb-5">

                                <li>Officia quaerat eaque neque</li>
                                <li>Possimus aut consequuntur incidunt</li>
                                <li class="remove">Lorem ipsum dolor sit amet</li>
                                <li class="remove">Consectetur adipisicing elit</li>
                                <li class="remove">Dolorum esse odio quas architecto sint</li>
                            </ul>
                            <p class="text-center">
                                <a href="#" class="btn btn-secondary">Buy Now</a>
                            </p>
                        </div>
                    </div>

                    <div class="col-md-6 mb-4 mb-lg-0 col-lg-4" data-aos="fade-up" data-aos-delay="100">
                        <div class="pricing">
                            <h3 class="text-center text-black">Premium</h3>
                            <div class="price text-center mb-4 ">
                                <span><span>$200</span> / year</span>
                            </div>
                            <ul class="list-unstyled ul-check success mb-5">

                                <li>Officia quaerat eaque neque</li>
                                <li>Possimus aut consequuntur incidunt</li>
                                <li>Lorem ipsum dolor sit amet</li>
                                <li>Consectetur adipisicing elit</li>
                                <li class="remove">Dolorum esse odio quas architecto sint</li>
                            </ul>
                            <p class="text-center">
                                <a href="#" class="btn btn-primary">Buy Now</a>
                            </p>
                        </div>
                    </div>

                    <div class="col-md-6 mb-4 mb-lg-0 col-lg-4" data-aos="fade-up" data-aos-delay="200">
                        <div class="pricing">
                            <h3 class="text-center text-black">Professional</h3>
                            <div class="price text-center mb-4 ">
                                <span><span>$750</span> / year</span>
                            </div>
                            <ul class="list-unstyled ul-check success mb-5">

                                <li>Officia quaerat eaque neque</li>
                                <li>Possimus aut consequuntur incidunt</li>
                                <li>Lorem ipsum dolor sit amet</li>
                                <li>Consectetur adipisicing elit</li>
                                <li>Dolorum esse odio quas architecto sint</li>
                            </ul>
                            <p class="text-center">
                                <a href="#" class="btn btn-secondary">Buy Now</a>
                            </p>
                        </div>
                    </div>
                </div>

                <div class="row site-section" id="faq-section">
                    <div class="col-12 text-center" data-aos="fade">
                        <h2 class="section-title">Frequently Ask Questions</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">Can I accept both Paypal and Stripe?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">What available is refund period?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">Can I accept both Paypal and Stripe?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">What available is refund period?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>
                    </div>
                    <div class="col-lg-6">

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">Where are you from?</h3>
                            <p>Voluptatum nobis obcaecati perferendis dolor totam unde dolores quod maxime corporis
                                officia et. Distinctio assumenda minima maiores.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">What is your opening time?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">Can I accept both Paypal and Stripe?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>

                        <div class="mb-5" data-aos="fade-up" data-aos-delay="100">
                            <h3 class="text-black h4 mb-4">What available is refund period?</h3>
                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam assumenda eum blanditiis
                                perferendis.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section> --}}
    {{-- <section class="site-section border-bottom" id="team-section">
        <div class="container">
            <div class="row mb-5 justify-content-center">
                <div class="col-md-8 text-center">
                    <h2 class="section-title mb-3" data-aos="fade-up" data-aos-delay="">Notre équipe</h2>
                    <p class="lead" data-aos="fade-up" data-aos-delay="100">Lorem ipsum dolor sit amet
                        consectetur adipisicing elit. Minus minima neque tempora reiciendis.</p>
                </div>
            </div>
            <div class="row">


                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_5.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Kaiara Spencer</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_6.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Dave Simpson</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="200">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_7.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Ben Thompson</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="300">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_8.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Kyla Stewart</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_1.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Kaiara Spencer</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_2.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Dave Simpson</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="200">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_3.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Ben Thompson</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-4" data-aos="fade-up" data-aos-delay="300">
                    <div class="team-member">
                        <figure>
                            <ul class="social">
                                <li><a href="#"><span class="icon-facebook"></span></a></li>
                                <li><a href="#"><span class="icon-twitter"></span></a></li>
                                <li><a href="#"><span class="icon-linkedin"></span></a></li>
                                <li><a href="#"><span class="icon-instagram"></span></a></li>
                            </ul>
                            <img src="images/person_4.jpg" alt="Image" class="img-fluid">
                        </figure>
                        <div class="p-3">
                            <h3>Chris Stewart</h3>
                            <span class="position">Product Manager</span>
                        </div>
                    </div>
                </div>



            </div>
        </div>
    </section> --}}


    <section class="site-section bg-light" id="contact-section" data-aos="fade">
        <div class="container">
            <div class="row mb-5">
                <div class="col-12 text-center">
                    <h2 class="section-title mb-3">Nos Contacts</h2>
                </div>
            </div>

                <div class="mapouter">
                    <div class="gmap_canvas">
                        <iframe
                            src="https://www.google.com/maps/embed?pb=!1m17!1m12!1m3!1d3966.4837094055747!2d1.1571527147690328!3d6.199736695511844!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m2!1m1!2zNsKwMTEnNTkuMSJOIDHCsDA5JzMzLjYiRQ!5e0!3m2!1sfr!2stg!4v1684749279114!5m2!1sfr!2stg"
                            width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade">
                        </iframe>
                    </div>
                </div>

            <div class="row mb-5" style="magin-lef: 50%">

                {{-- <div class="col-md-4 text-center">
                    <p class="mb-4">
                        <span class="icon-room d-block h4 text-primary"></span>
                        <span>203 Fake St. Mountain View, San Francisco, California, USA</span>
                    </p>
                </div> --}}
                <div class="col-md-4 text-center">
                    <p class="mb-4">
                        <span class="icon-phone d-block h4 text-primary"></span>
                        <a href="#">+228 90 22 90 02 </a>
                    </p>
                </div>
                <div class="col-md-4 text-center">
                    <p class="mb-0">
                        <span class="icon-mail_outline d-block h4 text-primary"></span>
                        <a href="#">contactsetgroup@gmail.com</a>
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 mb-5">



                    {{-- <form action="#" class="p-5 bg-white">

                        <h2 class="h4 text-black mb-5">Contact Form</h2>

                        <div class="row form-group">
                            <div class="col-md-6 mb-3 mb-md-0">
                                <label class="text-black" for="fname">First Name</label>
                                <input type="text" id="fname" class="form-control">
                            </div>
                            <div class="col-md-6">
                                <label class="text-black" for="lname">Last Name</label>
                                <input type="text" id="lname" class="form-control">
                            </div>
                        </div>

                        <div class="row form-group">

                            <div class="col-md-12">
                                <label class="text-black" for="email">Email</label>
                                <input type="email" id="email" class="form-control">
                            </div>
                        </div>

                        <div class="row form-group">

                            <div class="col-md-12">
                                <label class="text-black" for="subject">Subject</label>
                                <input type="subject" id="subject" class="form-control">
                            </div>
                        </div>

                        <div class="row form-group">
                            <div class="col-md-12">
                                <label class="text-black" for="message">Message</label>
                                <textarea name="message" id="message" cols="30" rows="7" class="form-control"
                                    placeholder="Write your notes or questions here..."></textarea>
                            </div>
                        </div>

                        <div class="row form-group">
                            <div class="col-md-12">
                                <input type="submit" value="Send Message" class="btn btn-primary btn-md text-white">
                            </div>
                        </div>


                    </form> --}}
                </div>

            </div>
        </div>
    </section>


    @include('front/partials/footer');

    </div> <!-- .site-wrap -->

    @include('front/partials/js');


</body>

</html>
